/***********************************************************
 * $Id: fancylogdException.h 1731 2015-09-03 10:40:24Z fancylibs $
 *
 * ATOS client - ATOS client modules
 *
 * Copyright (C) 2015 EFKON AG http://www.efkon.com
 *
 * Developed by ITEG IT-Engineers GmbH http://www.iteg.at
 *
 ************************************************************/

#ifndef FANCYLOGD_EXCEPTION_H
#define FANCYLOGD_EXCEPTION_H

#include <fancylogdCommon.h>
#include <fancyexception.h>

namespace Fancy {
namespace LogD {

class FANCYLOGD_COMMON_API FancyLogDException : public Fancy::Exception
{
public:
	FancyLogDException(
			int facility,
			int priority,
			const char *fmt, ...) throw()
#ifdef __GNUG__
__attribute__((format(printf,4,5)))
#endif
;

	FancyLogDException(
			fancylog_service *service,
			int facility,
			int priority,
			const char *fmt, ...) throw()
#ifdef __GNUG__
__attribute__((format(printf,5,6)))
#endif
;

	virtual ~FancyLogDException() throw();

protected:
	FancyLogDException(
			fancylog_service *service,
			int facility,
			int priority ) throw();
};

}}

#endif
